classification
Title: Update version{added,changed} entries in py3k unittest docs
Type: Stage: resolved
Components: Documentation Versions: Python 3.1, Python 3.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: michael.foord Nosy List: ezio.melotti, mark.dickinson, michael.foord
Priority: normal Keywords:

Created on 2009-10-01 20:09 by mark.dickinson, last changed 2010-02-05 21:58 by ezio.melotti. This issue is now closed.

Messages (6)
msg93419 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2009-10-01 20:08
The py3k unittest docs have a few instances of:

  .. versionadded:: 2.7

and

  .. versionchanged:: 2.7

Presumably all of these should be either 3.1 or 3.2.  I'd fix them, but 
I think Michael has a much better chance of getting all the version 
numbers right. :)
msg98397 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2010-01-27 01:32
skip* functions are missing 'new in' documentation. These need to be correct for 2.7 and 3.1 / 3.2 as well.

Plus the example of assertRaises as a context manager sucks.

http://docs.python.org/dev/library/unittest.html#unittest.TestCase.assertRaises
msg98654 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-02-01 09:59
The versionadded/changed have been fixed in r77788.
The doc for assertSameElements should also clarify that repeated elements are ignored.
msg98655 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-02-01 10:14
s/r77788/r77888/
msg98910 - (view) Author: Michael Foord (michael.foord) * (Python committer) Date: 2010-02-05 21:51
assertSameElements doc issue fixed in revision 77997. Also improved example for assertRaises as a context manager and added versionadded to the test skipping section. Revisions 77999-78002.

Thanks for sorting the version changed / added in the Py3k docs Ezio.
msg98914 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2010-02-05 21:58
You should thank Georg for those, I just fixed the examples in r77968. ;)
History
Date User Action Args
2010-02-05 21:58:00ezio.melottisetmessages: + msg98914
stage: needs patch -> resolved
2010-02-05 21:51:29michael.foordsetstatus: open -> closed
resolution: fixed
messages: + msg98910
2010-02-01 10:14:12ezio.melottisetmessages: + msg98655
2010-02-01 09:59:58ezio.melottisetmessages: + msg98654
2010-01-27 21:56:40ezio.melottisetpriority: normal
nosy: + ezio.melotti

stage: needs patch
2010-01-27 01:32:41michael.foordsetmessages: + msg98397
2009-10-01 20:09:00mark.dickinsoncreate